/*-----------------------------------------------------------------------------------------
    Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-----------------------------------------------------------------------------------------*/

package UserInterface;

import javax.swing.UIManager;
import java.awt.*;

/**
 * This is a sample that was based on the JMCU CashSale component built into the Together
 * tool. This presents a simple GUI and shows how we can tie it into the PD classes. <p>
 * @author TogetherSoft
 * @version 1.0
 */
public class CashSalesApp {
    boolean packFrame = true;

    //Construct the application
    public CashSalesApp() {
        POSFrame frame = new POSFrame();
        //Validate frames that have preset sizes
        //Pack frames that have useful preferred size info, e.g. from their layout
        if (packFrame)
            frame.pack();
        else
            frame.validate();
        //Center the window
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension frameSize = frame.getSize();
        if (frameSize.height > screenSize.height)
            frameSize.height = screenSize.height;
        if (frameSize.width > screenSize.width)
            frameSize.width = screenSize.width;
        frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
        frame.setVisible(true);
    }

    //Main method
    public static void main(String[] args) {
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        }
        catch(Exception e) {
        }
        new CashSalesApp();
    }
}

